Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.template
Class DefinitionModel

    java.lang.Object
      org.apache.tiles.template.DefinitionModel

    public class DefinitionModel

extends java.lang.Object

Create a definition at runtime.

Create a new definition at runtime. Newly created definition will be available across the entire request.

Since:
  2.2.0
Version:
  $Rev: 797765 $ $Date: 2009-07-25 15:20:26 +0200 (sab, 25 lug 2009) $

Constructor Summary
`DefinitionModel()`

Method Summary
`void` | `end(MutableTilesContainer container, ArrayStack<java.lang.Object> composeStack, java.lang.Object... requestItems)` Ends the operation.
`void` | `execute(MutableTilesContainer container, ArrayStack<java.lang.Object> composeStack, java.lang.String name, java.lang.String template, java.lang.String role, java.lang.String extendsParam, java.lang.String preparer, java.lang.Object... requestItems)` Executes the operation.
`void` | `start(ArrayStack<java.lang.Object> composeStack, java.lang.String name, java.lang.String template, java.lang.String role, java.lang.String extendsParam, java.lang.String preparer)` Starts the operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefinitionModel

    public DefinitionModel()

Method Detail

### start

    public void start(ArrayStack<java.lang.Object> composeStack,
                      java.lang.String name,
                      java.lang.String template,
                      java.lang.String role,
                      java.lang.String extendsParam,
                      java.lang.String preparer)

  Starts the operation.

  Parameters:
    `composeStack` - The compose stack,
    `name` - The name of the definition to create. If not specified, an anonymous definition will be created.
    `template` - The template of this definition.
    `role` - A comma-separated list of roles. If present, the definition will be rendered only if the current user belongs to one of the roles.
    `extendsParam` - The definition name that this definition extends.
    `preparer` - The preparer to use to invoke before the definition is rendered.
  Since:
    2.2.0

### end

    public void end(MutableTilesContainer container,
                    ArrayStack<java.lang.Object> composeStack,
                    java.lang.Object... requestItems)

  Ends the operation.

  Parameters:
    `container` - The Tiles container to use. It must be "mutable".
    `composeStack` - The compose stack.
    `requestItems` - The request objects.
  Since:
    2.2.0

### execute

    public void execute(MutableTilesContainer container,
                        ArrayStack<java.lang.Object> composeStack,
                        java.lang.String name,
                        java.lang.String template,
                        java.lang.String role,
                        java.lang.String extendsParam,
                        java.lang.String preparer,
                        java.lang.Object... requestItems)

  Executes the operation.

  Parameters:
    `container` - The Tiles container to use. It must be "mutable".
    `composeStack` - The compose stack.
    `name` - The name of the definition to create. If not specified, an anonymous definition will be created.
    `template` - The template of this definition.
    `role` - A comma-separated list of roles. If present, the definition will be rendered only if the current user belongs to one of the roles.
    `extendsParam` - The definition name that this definition extends.
    `preparer` - The preparer to use to invoke before the definition is rendered.
    `requestItems` - The request objects.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.